Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84634 - KCron programs Silent-option makes erroneous crontab lines
Summary: KCron programs Silent-option makes erroneous crontab lines
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 20:18 UTC by Mika
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-18 20:50:50 UTC


Attachments (Terms of Use)

Description Mika 2003-02-19 20:18:29 UTC
Description of problem:

KCron (KDE cron GUI in RH8 System Tools -menu) makes erroneous lines in crontab
when Silent choice is selected, which then makes cron run these tasks multiple
times.

Selecting Silent option in KCron's Edit Task GUI inserts - (dash) in front of
that tasks line in crontab file. This makes cron see that the first argument 
(which is minutes in crontab) of that line is for example -30 instead of 30.
This means to cron that the task is to be run every minute after the exact hour,
 which in this example means that cron runs the task at xx:00, xx:01, up to
xx:30 (which means 30 times), when the user means to run it only once at xx:30.
Naturally this can only be seen if the minutes argument is different from 0.

Version-Release number of selected component (if applicable):
kdeadmin-3.0.3-3

How reproducible:
Always

Steps to Reproduce:
1. Make new task or modify old task in KCron GUI started from System Tools menu
2. Set option Silent in that dialog and save the changes
3. Look at the appropriate crontab file and line to see erroneous - (dash)
    
Actual results:

The appropriate line in crontab file is preceded by - (dash) which in turn makes
cron behave unexpectedly. Cron then runs the command as if the minute is entered
like 0-x where x is what should have been there. That makes the command run x
times (every minute between 0 and x) in one hour if x is bigger than 0.

Expected results:

Silent should only turns off logging of the command and the output from the
command. 

Additional info:

Option name Silent can be something else as my version is localized to Finnish
and thus has local word meaning silent.

Comment 1 Ngo Than 2005-07-18 20:50:50 UTC
please reopen it if this bug still exists in FC4 release. Thanks


Note You need to log in before you can comment on or make changes to this bug.